<?php
$latest_posts_title = ft_get_option('latest_posts_title');
$post_number = ft_get_option('latest_posts_num');

$exclude_categories = array();
$exclude_categories_option = ft_get_option('latest_posts_exclude');
if($exclude_categories_option) :
foreach ( $exclude_categories_option as $key => $val ) {
	if (!$val == 0) $exclude_categories[] = '-'.$key;
}
endif;
$exclude_categories = implode(",", $exclude_categories);

$last_row = $post_number - 3;
$i = 0;
$latest_query = new WP_Query( 'post_type=post&posts_per_page='.$post_number.'&cat='.$exclude_categories );
if ( $latest_query->have_posts() ) : 
?>

<section class="row clearfix">

	<h3 class="heading">
    	<?php echo $latest_posts_title; ?>
        <span class="left" style="font-family:Tahoma; font-size:12px; font-weight:normal;"><a href="<?php echo get_permalink( get_option('page_for_posts') ); ?>"><?php _e('مشاهده بیشتر', THEME_FX); ?></a></span>
    </h3>
 
 	<?php while ( $latest_query->have_posts() ) : $latest_query->the_post(); $i++; ?>
    <div class="post-box one-third <?php if($i % 3 == 0 ) echo 'last '; if($i > $last_row) echo 'last-row'; ?>">
        <?php echo freshthemes_print_loop('thumbnail_size=480x350&excerpt=0'); ?>
    </div>
    
    <?php echo( $i % 3 == 0 ? '<div class="clear"></div>' : '' ); ?>
    <?php endwhile;  ?>
     
</section>
<?php endif; wp_reset_postdata(); ?>