jQuery(document).ready( function($) {
	
	/* Superfish Menu */
	$("#primary-menu").superfish({
		autoArrows	: false,
		delay		: 100,
		speed		: 100
	});
	
	/* Top Mobile Menu */
	$('#primary-menu').mobileMenu({
		defaultText: 'Navigate to...',
		className: 'primary-menu-mobile',
		subMenuDash: '&ndash;'
	});
	
	/* Primary Mobile Menu */
	$('#top-menu').mobileMenu({
		defaultText: 'Navigate to...',
		className: 'top-menu-mobile',
		subMenuDash: '&ndash;'
	});
	
	/* Single Post Slider */
	$('.post-slider').imagesLoaded( function(){
		$(this).flexslider({
			animation: 'fade',
			controlNav: false,
			directionNav: true,
			prevText: '<i class="icon-chevron-right"></i>',
			nextText: '<i class="icon-chevron-left"></i>'
		});
	});
	
	/* Post Overview Slider */
	$('.thumb-slider').imagesLoaded( function(){
		$(this).flexslider({
			animation: 'fade',
			controlNav: false,
			directionNav: false,
			slideshowSpeed: 9999, //Integer: Set the speed of the slideshow cycling, in milliseconds
			animationSpeed: 800  //Integer: Set the speed of animations, in milliseconds
		});
	});
	
	/* Newsticker */
	if( $('#ticker li').length > 1 ) {
		$('#ticker').webTicker();
	}
	
	/* Pretty Photo */
	$('a[class^="prettyPhoto"], a[class*="prettyPhoto"]').prettyPhoto({
		opacity: 0.50,
		theme: 'light_square',
		show_title: false,
		horizontal_padding: 20,
		social_tools:false
	});
	
	var freshClock = function() {
		function pad(n) {
			return (n < 10) ? '0' + n : n;
		}
		
		var now = new Date();
		var t = pad(now.getHours()) + ':' +
				pad(now.getMinutes()) + ':' +
				pad(now.getSeconds());
	
		$('#clock').html(t);
	
		var delay = 1000 - (now % 1000);
		setTimeout(freshClock, delay);
	};
	
	freshClock();
	
	if ( typeof BACKSTRECH_IMG !== 'undefined' ) {
    	$.backstretch( BACKSTRECH_IMG );
	}
});