<?php
$left_category = ft_get_option('category_block_two_left');
$right_category = ft_get_option('category_block_two_right');
$post_number = ft_get_option('category_block_two_num');
$post_number = $post_number - 1;
?>

<?php if($left_category != '') : ?>
<section class="category-block one-half row clearfix">
	<h3 class="heading"><a href="<?php echo get_category_link( $left_category ); ?>" title="بیشتر در <?php echo get_cat_name( $left_category ); ?>"><?php echo get_cat_name( $left_category ); ?></a></h3>
    
	<?php $left_category_query_first = new WP_Query( 'post_type=post&posts_per_page=1&cat='.$left_category ); ?>
    <?php if ( $left_category_query_first->have_posts() ) : ?>
        <?php while ( $left_category_query_first->have_posts() ) : $left_category_query_first->the_post();?>
        	<div class="<?php if($post_number == 0 ) : echo 'no-excerpt '; endif; ?>clearfix">
            <?php echo freshthemes_print_loop('excerpt=0'); ?>
            </div>
        <?php endwhile;  ?>
    <?php endif; ?>
    <?php wp_reset_postdata(); ?>
    
	<?php if($post_number != 0 ) : ?>
    <?php $left_category_query = new WP_Query( 'post_type=post&posts_per_page='.$post_number.'&cat='.$left_category.'&offset=1' ); ?>
    <?php if ( $left_category_query->have_posts() ) : ?>
    <aside class="entry-list">
        <ul>
            <?php while ( $left_category_query->have_posts() ) : $left_category_query->the_post(); ?>
            <?php echo freshthemes_print_entry_list(true, '', true); ?>
            <?php endwhile; ?>
        </ul>
    </aside>
    <?php endif; ?>
    <?php wp_reset_postdata(); ?>
    <?php endif; ?>
</section>
<?php endif; ?>

<?php if($right_category != '') : ?>
<section class="category-block one-half last row clearfix">
	<h3 class="heading"><a href="<?php echo get_category_link( $right_category ); ?>" title="بیشتر در <?php echo get_cat_name( $right_category ); ?>"><?php echo get_cat_name( $right_category ); ?></a></h3>
    
	<?php $right_category_query_first = new WP_Query( 'post_type=post&posts_per_page=1&cat='.$right_category ); ?>
    <?php if ( $right_category_query_first->have_posts() ) : ?>
        <?php while ( $right_category_query_first->have_posts() ) : $right_category_query_first->the_post();?>
        	<div class="<?php if($post_number == 0 ) : echo 'no-excerpt '; endif; ?>clearfix">
            <?php echo freshthemes_print_loop('excerpt=0'); ?>
            </div>
        <?php endwhile;  ?>
    <?php endif; ?>
    <?php wp_reset_postdata(); ?>
    
	<?php if($post_number != 0 ) : ?>
    <?php $right_category_query = new WP_Query( 'post_type=post&posts_per_page='.$post_number.'&cat='.$right_category.'&offset=1' ); ?>
    <?php if ( $right_category_query->have_posts() ) : ?>
    <aside class="entry-list">
        <ul>
            <?php while ( $right_category_query->have_posts() ) : $right_category_query->the_post(); ?>
            <?php echo freshthemes_print_entry_list(true, '', true); ?>
            <?php endwhile; ?>
        </ul>
    </aside>
    <?php endif; ?>
    <?php wp_reset_postdata(); ?>
	<?php endif; ?>
</section>
<?php endif; ?>