<?php get_header(); ?>
	
	<?php 
	$layout_style = ft_get_option('layout_style'); 
	if( get_post_meta( $post->ID, THEME_FX . 'page_layout', true) != '' )
	$layout_style = get_post_meta( $post->ID, THEME_FX . 'page_layout', true);
	?>
    
    <div id="<?php echo $layout_style; ?>" class="clearfix">
        <div id="primary" class="three-fourth clearfix">
            <section id="content" class="clearfix" role="main">
			<?php if ( have_posts() ) : ?>	
                <?php while ( have_posts() ) : the_post(); ?>
                <article <?php post_class('single-entry clearfix'); ?> id="post-<?php echo $post->ID; ?>">
                    
                    <header class="entry-header clearfix">
                        <h1 class="entry-title"><?php the_title(); ?></h1>
                    </header>
                    
                    <section class="entry-content clearfix">
                        <?php the_content(); ?>
						<?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'برگه‌ها:', THEME_FX ), 'after' => '</div>' ) ); ?>
                    </section>
                    
                    <footer class="entry-footer clearfix">
                       
                    </footer>
                    
                </article>
                <?php endwhile; ?>
                
            <?php endif; ?>
            
            </section><!-- #content -->
            
            <?php if( get_post_meta( $post->ID, THEME_FX . 'page_layout', true) != 'fullwidth' ) get_sidebar('left'); ?>
        </div>
        
        <div id="secondary" class="one-fourth clearfix">
			<?php if( get_post_meta( $post->ID, THEME_FX . 'page_layout', true) != 'fullwidth' ) get_sidebar('right'); ?>
        </div>
    </div>
	
<?php get_footer(); ?>